Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692604 - [DOCS] Should add sections about how to uninstall asb/tsb operators
Summary: [DOCS] Should add sections about how to uninstall asb/tsb operators
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Andrea Hoffer
QA Contact: Zhang Cheng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 02:06 UTC by Zhang Cheng
Modified: 2019-04-09 03:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Zhang Cheng 2019-03-26 02:06:28 UTC
Document URL: 
https://docs.openshift.com/container-platform/4.0/applications/service_brokers/installing-template-service-broker.html


Section Number and Name: 
Applications -> Service Brokers


Describe the issue: 
Should add more sections about:
1. How to uninstall ansible-service-broker and template-service-broker
2. How to uninstall 'Automation Broker Operator' and 'Template Service Broker Operator'


Additional information: 
Doc from developers: https://docs.google.com/document/d/1PvicrI7bHudd5coGPnRZPxcIWlueXhdMK__uT145xSQ/edit

Comment 2 Zhang Cheng 2019-04-01 05:45:59 UTC
Andrea,

I went through your PR about how to uninstall asb/tsb and its operator, mostly look good to me. Only need to double confirm the broker and operator name in downstream until get fix for bug https://bugzilla.redhat.com/show_bug.cgi?id=1685458

Anyway, I think your steps should work, you are not missing step and no bug relate this.

Then, could you provide what's wrong in your side?

Comment 3 Andrea Hoffer 2019-04-01 12:50:37 UTC
Hi @Cheng,

It was not possible to remove/uninstall the ASB when I had services provisioned from it. Though it would remove fine if I didn't have any provisioned services. But I have since learned from John Kim that users should NOT uninstall the ASB or TSB if there are any provisioned services from them. So I have added a warning to the docs informing users of this. John still needs to review this for me, then I will send this for QE review.

And yes, I have a note to update the broker Operator name before GA, once the downstream Operator is being used. Thanks!

Comment 4 Zhang Cheng 2019-04-02 03:24:08 UTC
Andrea, 

In my understanding, asb/tsb should be removed succeed whatever have provisioned services or not. The special thing is that the provisioned services cannot be managed and may hit error if you removed broker directly.
We will double check and give you feedback today.

Comment 5 Zhang Cheng 2019-04-02 05:58:48 UTC
As I said, asb/tsb should be removed succeed whatever have provisioned services or not. I guess you were hiting this issue https://bugzilla.redhat.com/show_bug.cgi?id=1692637#c2
We hit this issue occasionally, but not always. This problem should be fixed in OCP4.1

Comment 6 Zhang Cheng 2019-04-02 07:45:08 UTC
Andrea, maybe you are right. broker resource cannot be removed when have provisioned services.
There is a message in customer resource automationbroker: 
Message:               The requested broker cannot be deprovisioned because it has outstanding service instances.
Please deprovision any services originally provisioned by this broker before deprovisioning the broker itself.

@Shawn, could you help to double confirm if it is expected and by design?

Comment 7 Shawn Hurley 2019-04-02 12:46:06 UTC
Yes, we will not remove the brokers by default while it still has provisioned services. 

If users want to do this, they still can be manually clearing the finalizers and managing the clean up themselves.

Comment 8 Andrea Hoffer 2019-04-08 17:22:38 UTC
The PR [1] has been merged, and docs for uninstalling the brokers can be found here:

* https://docs.openshift.com/container-platform/4.0/applications/service_brokers/uninstalling-template-service-broker.html
* https://docs.openshift.com/container-platform/4.0/applications/service_brokers/uninstalling-ansible-service-broker.html

We've added a warning saying not to uninstall if there are still provisioned services from the brokers.

[1] https://github.com/openshift/openshift-docs/pull/14221

Comment 9 Zhang Cheng 2019-04-09 03:00:05 UTC
LGTM. Thanks.


Note You need to log in before you can comment on or make changes to this bug.